Page MenuHomePhabricator

nds-nl is not consistently lowercased in compact language links
Closed, ResolvedPublic

Description

Dutch Low Saxon (nds-nl) is lowercased as a workaround for T139795.

However, the fix for T70071 introduced an inconsistency in this lowercasing, so if the link to nds-nl has a badge such as "featured", and this language is added to the compact list, it may produce a JS error in compactlinks.js line 85.

Event Timeline

Amire80 created this task.Aug 21 2016, 7:45 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptAug 21 2016, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 claimed this task.Aug 21 2016, 7:46 PM
Amire80 triaged this task as High priority.

Change 305860 had a related patch set uploaded (by Amire80):
Apply toLowerCase when reading featured articles

https://gerrit.wikimedia.org/r/305860

Change 305860 merged by jenkins-bot:
Apply toLowerCase when reading featured articles

https://gerrit.wikimedia.org/r/305860

Change 305948 had a related patch set uploaded (by Amire80):
Apply toLowerCase when reading featured articles

https://gerrit.wikimedia.org/r/305948

Change 305948 merged by jenkins-bot:
Apply toLowerCase when reading featured articles

https://gerrit.wikimedia.org/r/305948

Mentioned in SAL [2016-08-22T13:41:02Z] <dereckson@tin> Started scap: php-1.28.0-wmf.15/extensions/UniversalLanguageSelector / resources/js/ext.uls.compactlinks.js Apply toLowerCase when reading featured articles (T143527)

Mentioned in SAL [2016-08-22T13:41:06Z] <dereckson@tin> scap aborted: php-1.28.0-wmf.15/extensions/UniversalLanguageSelector / resources/js/ext.uls.compactlinks.js Apply toLowerCase when reading featured articles (T143527) (duration: 00m 04s)

Mentioned in SAL [2016-08-22T13:42:15Z] <dereckson@tin> Synchronized php-1.28.0-wmf.15/extensions/UniversalLanguageSelector/resources/js/ext.uls.compactlinks.js: Apply toLowerCase when reading featured articles (T143527) (duration: 00m 50s)

Nikerabbit closed this task as Resolved.Aug 22 2016, 1:55 PM

Deployed, verified in production.